Bug 193464 - Get rid of Sputnik tests.
Summary: Get rid of Sputnik tests.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ross Kirsling
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-15 14:21 PST by Ross Kirsling
Modified: 2019-01-17 10:36 PST (History)
8 users (show)

See Also:


Attachments
Patch (manual) (20.59 MB, patch)
2019-01-15 14:34 PST, Ross Kirsling
ross.kirsling: review?
Details | Formatted Diff | Diff
SVN-style patch (23.93 MB, patch)
2019-01-15 16:46 PST, Ross Kirsling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Kirsling 2019-01-15 14:21:33 PST
Sputnik is Test262's predecessor, so it's high time that we jettison it.

(Wonder if we should do similarly for, say, LayoutTests/ietestcenter/Javascript as a follow-up task?)
Comment 1 Ross Kirsling 2019-01-15 14:34:08 PST
Created attachment 359205 [details]
Patch (manual)

This is naturally one of those "too big for webkit-patch" changes. :)
Comment 2 Ross Kirsling 2019-01-15 16:46:42 PST
Created attachment 359224 [details]
SVN-style patch

Hmm, evidently EWS doesn't enjoy applying the patch either.

Let's see if an SVN-style diff fares any better...?
Comment 3 Ross Kirsling 2019-01-15 16:58:56 PST
Comment on attachment 359224 [details]
SVN-style patch

Nope, guess not.
Comment 4 Ross Kirsling 2019-01-16 18:51:41 PST
Anyway, in spite of EWS' choking to death, this should be ready for manual landing as soon as someone can give me the go ahead. :)
Comment 5 Saam Barati 2019-01-17 10:01:14 PST
rs=me

The patch is too big to open on my phone
Comment 6 Ross Kirsling 2019-01-17 10:35:49 PST
(In reply to Saam Barati from comment #5)
> rs=me
> 
> The patch is too big to open on my phone

Thanks!

Committed r240115: <https://trac.webkit.org/changeset/240115>
Comment 7 Radar WebKit Bug Importer 2019-01-17 10:36:40 PST
<rdar://problem/47355647>